{
  "extends": "./tsconfig.json",
  "compilerOptions": {
    "outDir": "./dist/backend",    // Zielordner für die kompilierte Backend-Dateien
    "rootDir": "./backend",        // Quellordner
    "module": "NodeNext",          // Nutze ES-Modul für Node.js
    "moduleResolution": "NodeNext", // NodeNext für die Modulauflösung
    "target": "ES2020",            // Zielversion
    "esModuleInterop": true,       // Interoperabilität mit CommonJS und ES-Modulen
    "allowSyntheticDefaultImports": true,
    "skipLibCheck": true,
    "allowJs": true,               // Erlaubt es, .js und .mjs Dateien zu importieren
    "noEmit": false,               // Dateien sollen tatsächlich erzeugt werden (keine Deklarationsdateien)
    "resolveJsonModule": true,
    "jsx": "react",
    "isolatedModules": true
  },
  "include": [
    "backend/**/*.ts"
  ]
}